<?php


namespace Drupal\travolute\ValueObject;


final class SearchQueryParameters
{
    private $params;

    public function __construct($params)
    {
        if (isset($params['country'])) {
            $params['country'] = [$params['country']];
        }
        if (isset($params['airport'])) {
            $params['airport'] = explode(',', $params['airport']);
        }
        if (isset($params['duration'])) {
            $params['duration'] = explode(',', $params['duration']);
        } else {
            $params['duration'] = [8,9,10];
        }
        if (isset($params['boardtype'])) {
            $params['boardtype'] = explode(',', $params['boardtype']);
        }
        if (isset($params['city'])) {
            $params['city'] = [$params['city']];
        }
        if (isset($params['region'])) {
            $params['region'] = [$params['region']];
        }
        if (isset($params['page'])) {
            unset($params['page']);
        }

        $this->params = $params;
    }

    public function toArray() {
        return $this->params;
    }
}
